"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Nucleus = void 0;
const Sentry = __importStar(require("@sentry/node"));
class Nucleus {
    static init(sentryDsn) {
        Sentry.init({
            dsn: sentryDsn,
            tracesSampleRate: 1.0, //  Capture 100% of the transactions
        });
        // Register a beforeSend callback
        Sentry.addGlobalEventProcessor((event) => {
            // Modify event data before sending 
            // For example, add custom tags, context, etc.
            event.extra = event.extra || {};
            event.extra.additionalData = 'Some additional data';
            console.log('before sending sentry event: ', JSON.stringify(event));
            return event;
        });
    }
}
exports.Nucleus = Nucleus;
//# sourceMappingURL=setup.js.map